Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 591485 - Alert template: disappears once enabled from Alert Definition page
Summary: Alert template: disappears once enabled from Alert Definition page
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Alerts
Version: 3.0.0
Hardware: All
OS: Linux
high
high vote
Target Milestone: ---
: ---
Assignee: John Sanda
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks: jon24-alert-notify jon-sprint10-bugs
TreeView+ depends on / blocked
 
Reported: 2010-05-12 11:41 UTC by Sudhir D
Modified: 2010-08-12 16:57 UTC (History)
2 users (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:57:42 UTC


Attachments (Terms of Use)

Description Sudhir D 2010-05-12 11:41:06 UTC
Description of problem:
Alert template disappears once enabled from alert definition page.

Version-Release number of selected component (if applicable):
Build# 133

How reproducible:
Always

Steps to Reproduce:
1. Create an alert template. Administration -> System Configuration -> Templates
2. Go to Overview -> Subsystem View -> Alert Definition
3. Select the Newly created alert and click Enable selected.
  
Actual results:
The alert template disappears and is not available to see even in the Template page (Administration -> System Configuration -> Templates)

Expected results:
Alert template should be visible for any edit or modification.

Additional info:

Comment 1 Joseph Marques 2010-05-18 16:00:18 UTC
This is VERY bad.  If enabling an alert definition destroys the corresponding template.  I took a quick look at the code, and it indeed looks broken.

Comment 2 Joseph Marques 2010-05-18 16:00:56 UTC
I believe disabling from the subsystem view page will also destroy the template.

Comment 3 John Sanda 2010-05-20 12:42:46 UTC
Updated code so that alert templates are not deleted.

commit hash: 8d1c051fbb07765ea3e746754ae61aabe2257a12

Comment 4 Sudhir D 2010-05-21 07:43:20 UTC
Verified this against build# 160. The issue is fixed now. Makrking the bug as verified.

Comment 5 Corey Welton 2010-08-12 16:57:42 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.